/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;
import CTL.Types.IPaddr;

/**
 * Container class for created objects in Mirror.setCompoList()
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 */

public class CompoContainer {

	/** variables for saving the relevant information */
	private IPaddr host;
	private String classname;
	
	/**
	 * assign given information to the variables
	 * @param host - IP-adress
	 * @param classname - FID._class()
	 */
	public CompoContainer(IPaddr host, String classname) {
		this.host = host;
		this.classname = classname;
	}
	
	/**
	 * @return host's IP
	 */
	synchronized public IPaddr getHost(){
		return host;
	}
	
	/**
	 * @return classname
	 */
	synchronized public String getClassName() {
		return classname;
	}

}
