/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

import java.awt.*;

/**
 * Creates a Window, who asks the user if the programm really
 * will be closed
 * 
 * @author Stephan Kluge
 *
 */
public class CloseConfirmWindow extends Frame{
    private CloseConfirmWindowEvent confirm_window_event;
    protected Button yes_button;
    protected Button no_button;
    private Label label;
    private Panel panel;
    
    
    
    /**
     * Creates a Window with two buttons. On one button is written "yes"
     * and on the other "no". There is also a Label with "Exit ?"
     */
    public CloseConfirmWindow() {
        super("Close program");
        setBounds(350,250,300,200);
        
        confirm_window_event = new CloseConfirmWindowEvent(this);
        yes_button = new Button("Yes");
        no_button = new Button("No");
        label = new Label("Exit ?",Label.CENTER);
        panel = new Panel();
        
        
        setLayout(new GridLayout(2,1));
        panel.setLayout(null);
        
        add(label);
        add(panel);
        panel.add(yes_button);
        panel.add(no_button);
        yes_button.setBounds(40,30,80,30);
        no_button.setBounds(180,30,80,30);
        
        
        yes_button.addActionListener(confirm_window_event);
        no_button.addActionListener(confirm_window_event);
        
    }
}
