/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

import java.awt.event.*;

/**
 * Processes the user-actions performed by CloseConfirmWindow
 * 
 * @author Stephan Kluge
 *
 */
public class CloseConfirmWindowEvent implements ActionListener {
    
    private CloseConfirmWindow confirm_window;
    
    /**
     * Constructs the reference to the class CloseConfirmWindow
     * @param confirm_window A reference to the class CloseConfirmWindow
     */
    public CloseConfirmWindowEvent(CloseConfirmWindow confirm_window) {
        this.confirm_window = confirm_window;
    }
    
    /**
     * Responds to user-actions performed by ClosConfirmWindow
     * @param ae A reference to the class ActionEvent to know which action
     * became executed
     */
    public void actionPerformed(ActionEvent ae) {
        Object source = ae.getSource();
        
        if(source == confirm_window.yes_button)
            System.exit(0);
        else if(source == confirm_window.no_button)
            confirm_window.setVisible(false);
    }

}
