/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

import java.awt.*;

/**
 * Creates a Window as a Prompt. It has one Textfield for user-commands
 * and one Textarea to give information to the user
 * 
 * @author Stephan Kluge
 *
 */
public class Prompt extends Frame {
    
    private PromptEvent promptevent;
    protected TextArea textarea;
    protected TextField textfield;
    
    
    
    /**
     * Creates a Window with a Textfield and a Textarea
     */
    public Prompt() {
        super("Debugger");
        setBounds(250,200,500,300);
        
        promptevent = new PromptEvent(this);
        
        setLayout(new BorderLayout());
        add(textfield = new TextField(), BorderLayout.SOUTH);
        add(textarea = new TextArea(), BorderLayout.CENTER);
        
        textarea.setEditable(false);
        textarea.setBackground(Color.white);
        textfield.setBackground(Color.white);
        
        addWindowListener(promptevent);
        textfield.addKeyListener(promptevent);
        textfield.addActionListener(promptevent);
        
    }
    
    
    
    /**
     * Sets the textfield to the color gray
     *
     */
    public void textfieldGray() {
        textfield.setBackground(Color.lightGray);
    }
    
    
    
    /**
     * Sets the textfield to the color white
     *
     */
    public void textfieldWhite() {
        textfield.setBackground(Color.white);
    }
}
