/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

/**
 * Creates a Thread if the Command "break on" is executed by the class PromptEvent
 * 
 * @author Stephan Kluge
 *
 */
public class SearchBreakpoints extends Thread {
	
	private PromptEvent promptevent;
    private Prompt prompt;
	private CommandBreakOn break_on;
    
	public SearchBreakpoints(PromptEvent promptevent, Prompt prompt, CommandBreakOn break_on) {
		this.promptevent = promptevent;
        this.prompt = prompt;
        this.break_on = break_on;
	}
	
	public void run() {
		prompt.textarea.append("\n\ncommand: break on ");
        break_on.findBreakpoint();
        prompt.textarea.append("\n\nBreakpoint \"" +CommandBreakOn.getReachedBreakpoint()+ "\" reached\n\n");
        prompt.textfieldWhite();
        prompt.textfield.setEditable(true);
        promptevent.setBreakpointStarted((short)0);
	}
}
