/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;


import Debug.EnvDebug;

/**
 *Realizes the SSH timeout. If after a certain time, stored in this class, the handshake has not begun,
 *an exceptioen will be thrown , and the user will be notified in the console.
 * @author Jurij Merker
 *
 */
public class Timeout extends Thread{
	
	private int time = 3000;//Länge des timeouts

	synchronized public void run() {
		try{
			int i =0;
			EnvDebug.mirror.handshakerunning = true;
			for(i=1;i<=time;i++ ){
				if(EnvDebug.mirror.handshakerunning){
					sleep(10);
					if(i==1)
						System.out.println("Timeout = "+time/100+" sekunden");
					if (((time-i)%500)==0){
					System.out.println("Timeout for handshake in: "+((time-i)/100)+"sec.");
					}else 
						continue;
				}
				else
					break;
			}
			if(EnvDebug.mirror.handshakerunning){
				
				throw new TimeoutException("Timeout: "+time/100+"sec. have passed, handshake failed");
			}
			else
				System.out.println("Handshake started succesfully after "+i/100+" sec.");
		}catch (Exception e){
			System.out.println("Error in Timeout.run()");
		}
	}
}
