/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;
import CTL.Types.PeerID;

/**
 * Container class for created objects in Mirror.setMTagList()
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 */
public class MTagContainer {

	/** variables for saving the relevant information */
	private PeerID peerid;
	private int mtag;
	private boolean isvoid;
	
	/**
	 * assign given information to the variables
	 * @param peerid - PeerID of service
	 * @param mtag - Message tag of service
	 * @param isvoid - variable if method is void 
	 */
	public MTagContainer (PeerID peerid, int mtag, boolean isvoid) {
		this.peerid = peerid;
		this.mtag = mtag;
		this.isvoid = isvoid;
	}
	
	/**
	 * @return mtag
	 */
	synchronized public int getMTag () {
		return mtag;
	}

	/**
	 * @return PeerID
	 */
	synchronized public PeerID getPeerID () {
		return peerid;
	}
	
	/**
	 * @return is void (true) or not (false)
	 */
	synchronized public boolean getisVoid () {
		return isvoid;
	}
		
}
