/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;
import CTL.Types.PeerID;

/**
 * Container class for created objects in Mirror.setIDList()
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 */
public class OPIDContainer {

	/** variables for saving the relevant information */
	private PeerID peerid;
	private long objid;
	private String name;
	
	/**
	 * assign given information to the variables
	 * @param peerid - PeerID of service
	 * @param objid - ObjectID of service
	 * @param name - name of service class
	 */
	public OPIDContainer (PeerID peerid, long objid, String name) {
		this.peerid = peerid;
		this.objid = objid;
		this.name = name;
	}
	
	/**
	 * @return ObjectID
	 */
	synchronized public long getObjID () {
		return objid;
	}

	/**
	 * @return PeerID
	 */
	synchronized public PeerID getPeerID () {
		return peerid;
	}
	
	/**
	 * @return name of class
	 */
	synchronized public String getClassName () {
		return name;
	}
		
}
