/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;
import CTL.Types.PeerID;

/**
 * Container class for created objects in Mirror.setConstrList()
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 */

public class PMContainer {

	/** variables for saving the relevant information */
	private PeerID peerid;
	private int mtag;
	private String name;
	
	/**
	 * assign given information to the variables
	 * @param peerid - PeerID
	 * @param mtag - message tag
	 * @param name - classname
	 */
	public PMContainer(PeerID peerid, int mtag, String name) {
		this.peerid = peerid;
		this.mtag = mtag;
		this.name = name;
	}
	
	/**
	 * @return message tag
	 */
	synchronized public int getMessageTag (){
		return mtag;
	}

	/**
	 * @return PeerID
	 */
	synchronized public PeerID getPeerID (){
		return peerid;
	}
	
	/**
	 * @return classname
	 */
	synchronized public String getName () {
		return name;
	}
		
}
