/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;
import java.net.Socket;
import CTL.Types.PeerID;

/**
 * Container class for created objects in Mirror.setPSList()()
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 */

public class PSContainer {

	/** variables for saving the relevant information */
	private PeerID peerid;
	private Socket socket;
	
	/**
	 * assign given information to the variables
	 * @param peerid - PeerID
	 * @param socket - Socket
	 */
	public PSContainer(PeerID peerid, Socket socket){
		this.peerid = peerid;
		this.socket = socket;
	}
	
	/**
	 * @return Socket
	 */
	synchronized public Socket getSocket(){
		return socket;
	}
	
	/**
	 * @return PeerID
	 */
	synchronized public PeerID getPeerID(){
		return peerid;
	}
	
	/**
	 * override the to.String()-method
	 */
	synchronized public String toString(){
		return (""+peerid.toString()+" "+socket.toString());
	}

}
