/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package Debug.Visualizer.figure;

import org.eclipse.draw2d.*;

/**
 * 
 * This class paints the componentfigure
 * @author Daniel Meyer, Ling Wu
 *
 */
public class ComponentFigure extends ScrollPane{
	
   //init layout
	private FlowLayout layout;
	//init border
	private LabeledBorder border;
	
	/**
	 * Constructor of the ComponentFigure
	 *
	 */
	public ComponentFigure(){
		
		//create a new border
		this.border = createBorder();
		
		//set the border
		setBorder(this.border);
		
		//layout:
		this.layout = new FlowLayout();
		
		//set the layoutmanager
		setLayoutManager(this.layout);
	}
	
	/**
	 * Set the Label of border
	 * @param label 
	 */
	public void setLabel(String label){
		
      this.border.setLabel(label);
      
		setBorder(this.border);
		
		//Invalidates this figure and revalidates() its parent
		revalidate();
		
		//Repaints this IFigure
		repaint();
	}
	
	/**
	 * Mothod to create a new border
	 * @return new GroupBoxBorder
	 */
	public LabeledBorder createBorder(){
		return new GroupBoxBorder();
	}
	
}
