/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package Debug.Visualizer.figure;

import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.XYLayout;
import org.eclipse.draw2d.geometry.Dimension;

/**
 * class to paint the contentpane
 * @author Daniel Meyer...
 *
 */
class ContentPane extends Figure{
	//Children will be ordered from left to right
	private XYLayout layout;
	
	
	/**
	 * constructor of contentpane
	 * set the layout
	 *
	 */
	public ContentPane(){
		this.layout = new XYLayout();
	
		setLayoutManager(this.layout);
	}

	@Override
    /**
     * Get the preferred size of contentPane
     * @param hint preferred width
     * @param vint preferred height
     */
	public Dimension getPreferredSize(int hint, int vint){
		Dimension prefSize1 = super.getPreferredSize(hint, vint);
		return new Dimension(getParent().getClientArea().width, prefSize1.height);
	}
}