/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package Debug.Visualizer.figure;

import org.eclipse.draw2d.*;


/**
 * This class paints the hostfigure
 * @author Daniel Meyer, Ling Wu
 *
 */
public class HostFigure extends ScrollPane{
	
	//String recognize this host
	private String host;
	
	//init Border
	private HostFigureBorder labeledBorder;
	
	//DATA Container
	private ContentPane contentPane;
	
	/**
	 * Constructor of the HostFigure
	 *
	 */
	public HostFigure(){	
			
		//set the Border
		this.labeledBorder = new HostFigureBorder();
		
		setBorder(new CompoundBorder(new SimpleRaisedBorder(), new CompoundBorder(new LineBorder(2), this.labeledBorder)));
				
		//add contentpane and associate it with Scrollbars Viewport
		this.contentPane = new ContentPane();
		
		getViewport().setContents(this.contentPane);
	}
	
	/**
	 * Set the label of the HostFigure
	 * @param newhost label to be set
	 */
	public void setHost(String newhost){
		this.host=newhost;
		this.labeledBorder.setLabel("      "+newhost);
		revalidate();
		repaint();
	}
	
	/**
	 * Get the host label
	 * @return this.host 
	 */
	public String getHost(){
		return this.host;
	}

	
	/**
	 * DATA Container abfragen
	 * @return this.contentPane
	 */
	public IFigure getContentPane(){
		return this.contentPane;
	}
	
}