/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package Debug.Visualizer.figure;

import org.eclipse.draw2d.*;

import Debug.Visualizer.gui.VisualizerColors;

/**
 * Class InfoScreenFigure paints the Component
 * 
 * @author Daniel Meyer...
 */

public class InfoscreenFigure extends ScrollPane {

	//init Border
	public HostFigureBorder labeledBorder;
	
	//DATA Container
	private ContentPane contentPane;
	
	/**
     * Constructor of InfoscreenFigure
     * @param nameaddon labelname to be added on
	 */
	public InfoscreenFigure(String nameaddon){	
		
		//set the Border
		this.labeledBorder = new HostFigureBorder();
		
		this.labeledBorder.setColor(VisualizerColors.LABELBORDER_1);

		setBorder(new CompoundBorder(new SimpleRaisedBorder(), new CompoundBorder(new LineBorder(2), this.labeledBorder)));
				
		this.contentPane = new ContentPane();
		
		getViewport().setContents(this.contentPane);
	}
	
	
	
	/**
     * 
     * @return DATA Container 
	 */
	public IFigure getContentPane(){
		return this.contentPane;
	}
	
}