/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Visualizer.gui;

import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

/**
 * @author Daniel Meyer
 *
 */
public class Run extends Thread{

    private VisiRun listener;

    /**
     * Constructor of run, register the listener
     * @param run listener to be registert
     */
    public Run(VisiRun run){
        this.listener = run;
    }
    
    @Override
    /**
     * Start the VisualizerWindow
     */
    public void run(){
        
//        System.out.println("RUN"); //$NON-NLS-1$
        
        Display display = new Display();
        
        Shell shell = new Shell(display);
        
        VisualizerWindow win = new VisualizerWindow(this.listener,display,shell);
      
        win.open();
        
         //This loop keeps the shell open constantly listening for events 
        while (!shell.isDisposed()) {
	        if (!display.readAndDispatch()) {
	            display.sleep();

	        }
	        if (win.getShell() == null){
	        	
	            this.listener.removePropertyChangeListener(win);

	            this.listener.interrupt();

	            
	        	break;
	        }
        }
        display.dispose();
        
//        System.out.println("RUN Terminated");
 
    }
}
