/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package Debug.Visualizer.gui;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.swt.graphics.Color;

/*
 * This class provides several color scheams for changing
 * the style of the Visulalizer
 * 
 * @author Andre Schucht
 */
public class VisualizerColors{
	
	//BODY = Container Field Color
	public static Color BODY_1 = ColorConstants.orange;
	public static Color BODY_2 = ColorConstants.white;
	public static Color BODY_3 = ColorConstants.gray;
	public static Color BODY_4 = ColorConstants.lightBlue;
	
	//BORDER and BORDERLABEL
	public static Color HEAD_1 = ColorConstants.black;
	public static Color HEAD_2 = ColorConstants.black;
	
	//BORDERHEAD - HEAD of the BORDER
	public static Color BORDER_1 = ColorConstants.red;
	
	//special BORDERLABEL
	public static Color LABELBORDER_1 = ColorConstants.black;
	
	//local style counter
	private static int colortype = 0;
	//style name
	private static String actual_style = "normal"; 
	
	
	public static void setSchema(){
		
		switch(colortype)
		{
		case 0:{
			setStyle("light");
			
			BODY_1 = ColorConstants.white;
			BODY_2 = new Color(null,235,235,235);
			BODY_3 = new Color(null,169,198,230);
			BODY_4 = ColorConstants.white;
			
			HEAD_1 = ColorConstants.black;
			HEAD_2 = ColorConstants.black;
			
			BORDER_1 = ColorConstants.lightBlue;
			LABELBORDER_1 = new Color(null,150,0,0);
			
			colortype = 1;

			}break;
		case 1:{
			setStyle("original");
			
			BODY_1 = ColorConstants.orange;
			BODY_2 = ColorConstants.white;
			BODY_3 = ColorConstants.gray;
			BODY_4 = ColorConstants.lightBlue;
			
			HEAD_1 = ColorConstants.black;
			HEAD_2 = ColorConstants.black;
			
			BORDER_1 = ColorConstants.red;
			LABELBORDER_1 = HEAD_2;
			
			colortype = 2;

			}break;
		case 2:{
			setStyle("gray in gray");
			
			//Host
			BODY_1 = ColorConstants.button;
			//Component
			BODY_2 = ColorConstants.buttonDarker;
			//Object
			BODY_3 = ColorConstants.menuBackgroundSelected;
			//Infoscreen
			BODY_4 = ColorConstants.buttonLightest;
			
			//Host Infoscreen
			HEAD_1 = ColorConstants.listBackground;
			//Sonst
			HEAD_2 = ColorConstants.listForeground;
			
			BORDER_1 = ColorConstants.menuBackground;
			LABELBORDER_1 = HEAD_2;
			
			colortype = 3;
			
			}break;
		case 3:{
			setStyle("random");
			
			double x = Math.random();
			int r = (int) Math.round(x*255);
			
			x = Math.random();
			int g = (int) Math.round(x*255);
			
			x = Math.random();
			int b = (int) Math.round(x*255);
			
			//Host
			BODY_1 = new Color(null,r,g,b);
			

			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			//Component
			BODY_2 = new Color(null,r,g,b);
		
			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			//Object
			BODY_3 = new Color(null,r,g,b);

			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			//Infoscreen
			BODY_4 = new Color(null,r,g,b);;
			
			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			//Host Infoscreen
			HEAD_1 = new Color(null,r,g,b);;
			
			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			//Sonst
			HEAD_2 = new Color(null,r,g,b);;
			
			x = Math.random();
			r = (int) Math.round(x*255);
			
			x = Math.random();
			g = (int) Math.round(x*255);
			
			x = Math.random();
			b = (int) Math.round(x*255);
			
			BORDER_1 = new Color(null,r,g,b);
			LABELBORDER_1 = HEAD_2;
			
			colortype = 4;
			
			}break;
		case 4:{
			setStyle("china");
			
			BODY_1 = ColorConstants.lightBlue;
			BODY_2 = ColorConstants.lightGray;
			BODY_3 = ColorConstants.lightGreen;
			BODY_4 = ColorConstants.lightGray;
			
			HEAD_1 = ColorConstants.darkGreen;
			HEAD_2 = ColorConstants.darkBlue;
			
			BORDER_1 = ColorConstants.yellow;
			LABELBORDER_1 = HEAD_2;

			colortype = 0;
			
			}break;
		}		
	}
	
	
	private static String setStyle(String style1){
		
		actual_style=style1;
		
		return actual_style;
	}
	
	public static String getStyle(){
		
		return actual_style;
	}
	

}
