package Debug.Visualizer.gui;

import org.eclipse.gef.EditPolicy;

import Debug.Visualizer.editparts.HostEditPart;

import Debug.Visualizer.model.ComponentModel;
import Debug.Visualizer.model.DiagramModel;
import Debug.Visualizer.model.DiagramElementModel;
import Debug.Visualizer.model.HostModel;

public class VisualizerLayout {

	private static String layout="automatic";
	
	private static int var = 1;

	
	public static String getLayout() {
		return layout;
	}
	
	
	public static int getLayoutInt() {
		return var;
	}

	
	public static void setLayout(DiagramModel model) {
		

		switch (var){
		
			case 0:{
				layout = "automatic";
				var=1;
				
				model.getEditPart().removeEditPolicy(EditPolicy.LAYOUT_ROLE);
				
				for (DiagramElementModel dem : model.getChildren()){
					dem.getEditPart().removeEditPolicy(EditPolicy.LAYOUT_ROLE);
					
					if (dem instanceof HostModel){
						
						for (ComponentModel cm : ((HostModel) dem).getChildren()){
							cm.getEditPart().removeEditPolicy(EditPolicy.LAYOUT_ROLE);
						}
					}
				}
				
				
				break;
			}
			
			case 1:{
				layout = "semi-automatic";
				var = 2;
				
				model.getEditPart().createEditPolicies();
				
				for (DiagramElementModel dem : model.getChildren()){
					
					if (dem instanceof HostModel){
						
						((HostEditPart) dem.getEditPart()).createEditPolicies();
						
						for (ComponentModel cm : ((HostModel) dem).getChildren()){
							cm.getEditPart().createEditPolicies();
						}
					}
				}
				
				break;
			}
			
			case 2:{
				layout = "non-assisted";
				var = 0;
				
				model.getEditPart().createEditPolicies();
				
				for (DiagramElementModel dem : model.getChildren()){
					
					if (dem instanceof HostModel){
						
						((HostEditPart) dem.getEditPart()).createEditPolicies();
						
						for (ComponentModel cm : ((HostModel) dem).getChildren()){
							cm.getEditPart().createEditPolicies();
						}
					}
				}
				
				break;
			}
		}//switch (var)
		
	}//setLayout()

}//Class
